sbt plugin for running tests with the Jumi test runner
Scala Shell
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
.idea
.idea_modules
project
scripts
src
.gitattributes
.gitignore
LICENSE.txt
README.md
build.sbt

README.md

sbt-jumi

An sbt plugin for running tests with the Jumi test runner.

The binaries of this plugin are available in the sbt plugin repository where sbt will find them automatically.

Quick Start

Requires sbt 0.13.0

Add the following line to your project/plugins.sbt file:

addSbtPlugin("fi.jumi.sbt" % "sbt-jumi" % "0.1.1")

Add the following line to your build.sbt file:

jumiSettings

You may want to customize the default settings. Here are some common ones:

jumiJvmOptions := Seq("-ea", "-Xmx512M")

jumiIncludedTestsPattern := "glob:com/example/**{Test,Spec}.class"

A full list of the available settings is in the plugin source.

For Jumi to run also JUnit based tests, you will additionally need to have JUnit in your test classpath (which you probably already have for your tests to compile).

After everything is configured, you can run tests using the command:

sbt jumi-test

Using a different Jumi version

When new versions of Jumi are released, this plugin may not get a new release if it's compatible with the new Jumi version. In that case you can override sbt's plugin dependencies to change the Jumi version being used.

Add the following line to your project/plugins.sbt file:

dependencyOverrides += "fi.jumi" % "jumi-launcher" % "<the new version>"

See sbt's documentation for more information.

Building

Build locally: sbt publish-local

Run tests: sbt test scripted

Create new release: ./scripts/release.sh <VERSION>

Version History

sbt-jumi 0.1.1 (2013-08-07)

  • Upgraded to Jumi 0.5.390. Fixes jumiDebugModeEnabled := true closing the standard output stream

sbt-jumi 0.1.0 (2013-08-05)

  • Initial release
  • Runs tests using Jumi 0.5.376